ranges-scale.hpp File Reference
`#include <cmath>`

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::ScaleUp< Val, UnsVal, I >
| Range iterator for pointwise product with a positive integer. More...
class | Gecode::Iter::Ranges::ScaleDown< I >
| Range iterator for pointwise division by a positive integer. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.